olsrd: find_most_recent_plugin_libary() fix input with 'exact' filenames
authorBastian Bittorf <bb@npl.de>
Tue, 14 Feb 2017 07:58:22 +0000 (08:58 +0100)
committerBastian Bittorf <bb@npl.de>
Tue, 14 Feb 2017 07:58:22 +0000 (08:58 +0100)
olsrd/files/olsrd.init

index bbb4e07..7f7aecc 100644 (file)
@@ -477,6 +477,7 @@ find_most_recent_plugin_libary()
 
        for file in "/lib/$library"* "/usr/lib/$library"* "/usr/local/lib/$library"*; do {
                [ -f "$file" ] && {
+                       file="$( basename "$file" )"
                        # make sure that we do not select
                        # 'olsrd_dyn_gw_plain.so.0.4' if user wants
                        # 'olsrd_dyn_gw.so.0.5' -> compare part before 1st dot